Summary: Linsemble Build Service
Name: buildservice
Version: 2.0.2
Release: 2
BuildArch: noarch
License: GPL+
Group: User Interface/System Utilities

Source0: %{name}-%{version}.tar.xz
URL: http://www.fuduntu.org

### Basic requirements for tool use
Requires:	rpm-build
Requires:	livecd-tools
Requires:	bash

### Required to begin building
Requires:	gcc gcc-c++
Requires:	git subversion bzr
Requires:	kernel-devel
Requires:	redhat-rpm-config

%description
This package contains a basic set of tools formerly used to build
packages at Fuduntu.  These tools have been updated to be used as
part of a distribution auto-build service.

%prep
%setup -q

%build

%post

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
install -m 0755 etc/sysconfig/buildnode $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/buildnode
install -m 0755 etc/sysconfig/repomgr $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/repomgr
install -m 0755 usr/bin/buildrpm $RPM_BUILD_ROOT/%{_bindir}/buildrpm
install -m 0755 usr/bin/importpkg $RPM_BUILD_ROOT/%{_bindir}/importpkg
install -m 0755 usr/bin/mklivecd $RPM_BUILD_ROOT/%{_bindir}/mklivecd
install -m 0755 usr/bin/stagebuild $RPM_BUILD_ROOT/%{_bindir}/stagebuild
install -m 0755 usr/bin/push_manager $RPM_BUILD_ROOT/%{_bindir}/push_manager
install -m 0755 usr/bin/autobuild $RPM_BUILD_ROOT/%{_bindir}/autobuild

%files
%doc README
%defattr(-, root, root)
%config(noreplace) %{_sysconfdir}/sysconfig/buildnode
%config(noreplace) %{_sysconfdir}/sysconfig/repomgr
%{_bindir}/buildrpm
%{_bindir}/importpkg
%{_bindir}/mklivecd
%{_bindir}/stagebuild
%{_bindir}/push_manager
%{_bindir}/autobuild

%changelog
* Tue Apr 23 2013 Andrew Wyatt <andrew@fuduntu.org> - 2.0.2-2
- Built for Linsemble

* Mon Apr 22 2013 Andrew Wyatt <andrew@fuduntu.org> - 2.0.2-1
- Refactor to support functioning as an autobuild tool for
  hands-off update builds from RHEL.

* Mon Jan 28 2013 Andrew Wyatt <andrew@fuduntu.org> - 2.0.1-4
- Need rpm-sign for signing w/ RPM 4.9

* Sat Jan 26 2013 Andrew Wyatt <andrew@fuduntu.org> - 2.0.1-3
- Requires redhat-rpm-config

* Tue Jan 22 2013 Andrew Wyatt <andrew@fuduntu.org> - 2.0.1-2
- Fix bugs in buildrpm and importpkg

* Mon Jan 21 2013 Andrew Wyatt <andrew@fuduntu.org> - 2.0-1
- First release.
